Subject: bug#23031: reporting write errors and handling SIGPIPE

From: Paul Eggert <[email-masked]>
Date: Thu, 17 Mar 2016 11:49:08 -0700

On 03/16/2016 09:14 AM, Assaf Gordon wrote:
> Attached is a patch that adds errno information to 'write error' messages

Thanks, I installed the attached somewhat-tweaked version of that. Among 
other things I renamed the new static functions to avoid confusion with 
existing "safer" functions.

This doesn't address the SIGPIPE mystery so I'll leave the bug report 
open, but my guess is that this part isn't really a grep bug.